org.apache.lucene.analysis.miscellaneous

## Class WordDelimiterFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.WordDelimiterFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware

  Deprecated.
  Use `WordDelimiterGraphFilterFactory` instead: it produces a correct token graph so that e.g. `PhraseQuery` works correctly when it's used in the search time analyzer.

      @Deprecated
      public class WordDelimiterFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Factory for `WordDelimiterFilter`.

       <fieldType name="text_wd" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.WordDelimiterFilterFactory" protected="protectedword.txt"
                   preserveOriginal="0" splitOnNumerics="1" splitOnCaseChange="1"
                   catenateWords="0" catenateNumbers="0" catenateAll="0"
                   generateWordParts="1" generateNumberParts="1" stemEnglishPossessive="1"
                   types="wdfftypes.txt" />
         </analyzer>
       </fieldType>

  Since:
    3.1
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "wordDelimiter"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` Deprecated. SPI name
    `static String` | `PROTECTED_TOKENS` Deprecated.
    `static String` | `TYPES` Deprecated.

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordDelimiterFilterFactory(Map<String,String> args)` Deprecated. Creates a new WordDelimiterFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenFilter` | `create(TokenStream input)` Deprecated. Transform the specified input TokenStream
    `void` | `inform(ResourceLoader loader)` Deprecated. Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      Deprecated.
      SPI name
      See Also:
        Constant Field Values

    - #### PROTECTED_TOKENS

          public static final String PROTECTED_TOKENS

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPES

          public static final String TYPES

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WordDelimiterFilterFactory

          public WordDelimiterFilterFactory(Map<String,String> args)

      Deprecated.
      Creates a new WordDelimiterFilterFactory

  - ### Method Detail

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Deprecated.
      Description copied from interface: `ResourceLoaderAware`
      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### create

          public TokenFilter create(TokenStream input)

      Deprecated.
      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.